Summary: Cross Platform Audio Output Library.
Name: libao
Version: 0.8.0
Release: 1
Group: System Environment/Libraries
Copyright: GPL
URL: http://www.xiph.org/
Source:	http://www.xiph.org/ogg/vorbis/download/libao-%{version}.tar.gz
Source1: ao.req
Patch: libao-0.8.0-libdep.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: esound-devel, kdelibs-sound-devel
%define __find_requires %{SOURCE1}

%description
Libao is a cross platform audio output library. It currently supports
ESD, OSS, Solaris, and IRIX.

%package devel
Summary: Cross Platform Audio Output Library Development.
Group: Development/Libraries
Requires: libao = %{version}

%description devel
The libao-devel package contains the header files and documentation
needed to develop applications with libao.

%prep
%setup -q
%patch -p1
perl -p -i -e "s/-O20 -ffast-math/$RPM_OPT_FLAGS/" configure

%build
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README
%{_libdir}/libao.so.*
%{_libdir}/ao
%{_mandir}/man5/*

%files devel
%defattr(-,root,root)
%doc doc/*
%{_includedir}/ao
%{_libdir}/libao.so
%{_datadir}/aclocal/ao.m4

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Tue Aug 14 2001 Bill Nottingham <notting@redhat.com>
- update to 0.8.0

* Fri Jul 20 2001 Bill Nottingham <notting@redhat.com>
- split this off from the vorbis package, as something else now requires it

* Tue Jul 10 2001 Bill Nottingham <notting@redhat.com>
- own %%{_libdir}/ao
- I love libtool

* Tue Jun 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add links from library major version numbers in rpms

* Tue Jun 19 2001 Bill Nottingham <notting@redhat.com>
- update to rc1

* Fri May  4 2001 Oliver Paukstadt <oliver.paukstadt@millenux.com>
- fixed perl line in spec file to set optims correctly

* Tue Mar 20 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64, again
- use optflags, not -O20 -ffast-math (especially on alpha...)

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- fix license tag

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- beta4

* Fri Feb  9 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64

* Thu Feb  8 2001 Bill Nottingham <notting@redhat.com>
- update CVS in prep for beta4

* Wed Feb 07 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed bugzilla bug #25391. ogg123 now usses the OSS driver by default if
  none was specified.

* Tue Jan  9 2001 Bill Nottingham <notting@redhat.com>
- update CVS, grab aRts backend for libao

* Thu Dec 27 2000 Bill Nottingham <notting@redhat.com>
- update CVS

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Bill Nottingham <notting@redhat.com>
- hack up specfile some, merge some packages

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
